Results 1 to 6 of 6

Thread: Fast Key or LISP for setting view into a previously created "named view"

  1. #1
    Member
    Join Date
    2013-07
    Posts
    7
    Login to Give a bone
    0

    Default Fast Key or LISP for setting view into a previously created "named view"

    Is it a common problem for the view of a drawing in Civil 3D to be thrown out of whack? By this I mean when opening a drawing or after switching from a plot tab to model space the view is no longer from above as if looking down on a sheet but sideways as if looking at it from eye level with the table it sits on.

    I wrote a fast key to correct the view problem and it is this:

    Code:
    (defun C:gg () (setvar "CMDECHO" 0)(command ".plan" "c")(prin1))
    This fixes the problem by putting it back into a view from current UCS but I was wondering if I could go one step further and throw it into a view that I have already set up for plotting. So essentially, what I would like to happen is I enter the "gg" command and all that would be viewed on the screen is the sheet with borders (our borders are in model space), or the extents of what is plotted on a sheet.

    Does this involve any LISP programming? I have no background knowledge of how to write LISP but I could probably pick up what's necessary to do the job. Please, any help is greatly appreciated!
    Last edited by BlackBox; 2013-12-19 at 11:13 PM. Reason: Please use [CODE] Tags

  2. #2
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default Re: Fast Key or LISP for setting view into a previously created "named view"

    Code:
    (DEFUN c:gv () (command "-view"  "r" "plotting_view")(princ))
    untested
    Last edited by BlackBox; 2013-12-19 at 11:13 PM. Reason: Please use [CODE] Tags

  3. #3
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: Fast Key or LISP for setting view into a previously created "named view"

    Naturally, you would need to change the "plotting_view" name in cadtag's code to your typical view name.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  4. #4
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Fast Key or LISP for setting view into a previously created "named view"

    Thread moved to LISP forum.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  5. #5
    Member
    Join Date
    2013-07
    Posts
    7
    Login to Give a bone
    0

    Default Re: Fast Key or LISP for setting view into a previously created "named view"

    This looks great! I won't be able to test it until I'm at work tomorrow but I will respond with my success story hopefully. Thank you very much everyone

  6. #6
    Member
    Join Date
    2013-07
    Posts
    7
    Login to Give a bone
    0

    Default Re: Fast Key or LISP for setting view into a previously created "named view"

    Works like a charm! thank you, cadtag

Similar Threads

  1. Improve the way "reference other view" view selection works
    By houston.cad in forum Revit Platform - Wish List
    Replies: 4
    Last Post: 2014-12-19, 06:22 PM
  2. Replies: 0
    Last Post: 2012-06-06, 11:54 AM
  3. "detail view" vs "floor plan" in callouts
    By shane.249457 in forum Revit Architecture - General
    Replies: 11
    Last Post: 2011-03-08, 09:29 PM
  4. Ability to "flatten" a model view into a drafting view.
    By revit.wishlist1942 in forum Revit Architecture - Wish List
    Replies: 3
    Last Post: 2009-09-06, 06:21 AM
  5. Replies: 3
    Last Post: 2007-10-23, 09:06 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •